Page MenuHomeFreeBSD

shells/fish: Update to 3.2.1
ClosedPublic

Authored by lcook on Mar 23 2021, 4:11 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 15, 5:24 AM
Unknown Object (File)
Fri, Jul 12, 8:01 AM
Unknown Object (File)
Fri, Jul 12, 3:10 AM
Unknown Object (File)
Thu, Jul 11, 8:49 AM
Unknown Object (File)
Wed, Jun 26, 2:41 PM
Unknown Object (File)
Jun 6 2024, 5:33 PM
Unknown Object (File)
May 13 2024, 12:00 AM
Unknown Object (File)
May 8 2024, 4:50 PM
Subscribers

Details

Summary

This is a follow-up from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254388:

I switched the port to use tar:xz instead since on the latest release page[1],
there's no gz archive to download for building. As mentioned in the notes, fish
source tarballs are now distributed using the xz compression. Both pkg-plist and
the patch in files/ have been updated accordingly.

Tested and built inside Poudriere with 12.2-RELEASE (amd64/i386). Looking at prior
releases, numerous features have been introduced, so I don't think an MFH would be
necessary here.

Changes:

MAINTAINER has approved changes and now need mentor approval to commit, thanks!

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 38020
Build 34909: arc lint + arc unit

Event Timeline

lcook requested review of this revision.Mar 23 2021, 4:11 PM

LGTM!

Since "Approved by" is used when you really need approval, I would use "Reviewed by: asomers@ (maintainer)" in the commit message.

Good job!

This revision is now accepted and ready to land.Mar 24 2021, 11:19 AM
This revision was automatically updated to reflect the committed changes.